﻿using UnityEngine;
using System.Collections;
using System;

public class generalecho : MonoBehaviour {
	// RTcmix/audio stuff
	private rtcmixmain RTcmix;
	private int objno = 1;

	// Use this for initialization
	void Start () {
		// RTcmix stuff
		RTcmix = GameObject.Find ("RTcmixmain").GetComponent<rtcmixmain> ();
		RTcmix.initRTcmix (objno);

		RTcmix.SendScore ("MAXBANG(1)", objno);
	}
	
	// Update is called once per frame
	void Update () {
	
	}

	void OnAudioFilterRead(float[] data, int channels) {
		RTcmix.runRTcmix (data, objno, 1);

		if (RTcmix.checkbangRTcmix(objno) == 1) {
			String score = "bus_config(\"MIX\", \"in 0-1\", \"aux 0-1 out\") " +
				"bus_config(\"SPLITTER\", \"aux 0-1 in\", \"aux 2-3 out\", \"aux 4-5 out\", \"aux 6-7 out\") " +
				"bus_config(\"PANECHO\", \"aux 2-3 in\", \"out 0-1\") " +
				"bus_config(\"GVERB\", \"aux 4-5 in\", \"out 0-1\") " +
				"bus_config(\"STEREO\", \"aux 6-7 in\", \"out 0-1\") " +
				"SPLITTER(0, 0, 9999, 1, 0,  1, 1,  1, 1, 2, 2) " +
				"PANECHO(0, 0, 9999, 1.0, 0.07, 0.1, 0.8, 1, 0) " +
				"GVERB(0, 0, 9999, 1, 150, 9.0, 0.1, 0.1, -50, -10, -1, 1, 0) " +
				"STEREO(0, 0, 9999, 1, 0, 1) " +
				"rtinput(\"AUDIO\") MIX(0, 0, 9999, 0.1, 0, 1) ";

			RTcmix.SendScore (score, objno);
		}
	}

	void OnApplicationQuit() {
		RTcmix.destroy (objno);
	}
}
